The options for a model.

#### Notes

Either a comm or a model_id must be provided.

### Hierarchy

- ModelOptions

## Index

### Properties

- comm
- model_id
- model_module
- model_name
- widget_class

## Properties

### Optional comm

comm: any

- Defined in manager-base.ts:39

Comm object associated with the widget.

### Optional model_id

model_id: string

- Defined in manager-base.ts:44

The model id to use. If not provided, the comm id of the comm is used.

### model_module

model_module: string

- Defined in manager-base.ts:29

Module name of the widget model to create.

### model_name

model_name: string

- Defined in manager-base.ts:24

Target name of the widget model to create.

### Optional widget_class

widget_class: string

- Defined in manager-base.ts:34

Target name of the widget in the back end.

Generated using TypeDoc